Skip to main content
POST
/
compute
/
v1
/
skills
Create a new skill
curl --request POST \
  --url https://compute.hexelstudio.com/compute/v1/skills \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "name": "<string>"
}
'
{
  "content": "<string>",
  "content_hash": "<string>",
  "created_at": "<string>",
  "description": "<string>",
  "name": "<string>",
  "resources": {},
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://hexelstudio.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

Body

application/json

Skill definition

content
string
required
name
string
required
description
string
resources
object

Resources are files written into /workspace/skills//. Include "requirements.txt" to install Python dependencies at VM boot.

Response

Created

content
string
content_hash
string
created_at
string
description
string
name
string
resources
object
updated_at
string